aboutsummaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash9
1 files changed, 8 insertions, 1 deletions
diff --git a/src/run.bash b/src/run.bash
index 3c0abd97b6..f3c4c6fb7b 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -131,7 +131,14 @@ dragonfly-386 | dragonfly-amd64 | freebsd-386 | freebsd-amd64 | linux-386 | linu
go test -ldflags '-linkmode=external' || exit 1
go test -ldflags '-linkmode=auto' ../testtls || exit 1
go test -ldflags '-linkmode=external' ../testtls || exit 1
- go test -ldflags '-linkmode=external -extldflags "-static -pthread"' ../testtls || exit 1
+
+ case "$GOHOSTOS-GOARCH" in
+ netbsd-386 | netbsd-amd64) ;; # no static linking
+ *)
+ go test -ldflags '-linkmode=external -extldflags "-static -pthread"' ../testtls || exit 1
+ ;;
+ esac
+ ;;
esac
) || exit $?